/*
 * Simple Media Player that runs off a playlist.
 * Copyright (C) 2019  Kevin Whitaker <eyecreate@eyecreate.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MINIMEDIAPLAYER_H
#define MINIMEDIAPLAYER_H

#include <QObject>
#include <QtMultimedia/QMediaPlayer>
#include <QtMultimedia/QMediaPlaylist>

/**
 * @todo write docs
 */
class MiniMediaPlayer : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QMediaPlaylist playlist READ playlist)
    Q_PROPERTY(QMediaPlayer player READ player)

public:
    /**
     * @todo write docs
     */
    MiniMediaPlayer(QObject *parent = 0);

    /**
     * @return the playlist
     */
    QMediaPlaylist *playlist() const;

    /**
     * @return the player
     */
    QMediaPlayer *player() const;

private:
    QMediaPlaylist *m_playlist;
    QMediaPlayer *m_player;
};

#endif // MINIMEDIAPLAYER_H
